#include<iostream>
#include<algorithm>
using namespace std;
int main(){
    int N,Q;
    cin>>N>>Q;
    int* A=new int[N];
    for(int i=0;i<N;i++)
        cin>>A[i];
    int* B=new int[Q];
    for(int i=0;i<Q;i++)
        cin>>B[i];
    sort(A,A+N);
    int* indeksi=new int[Q];
    int l=0;
    int* offseti=new int[Q];
    for(int i=0;i<N;i++)
        if(A[i]==B[l]){
            indeksi[l]=i+offseti[l];
            l++;
            offseti[l]=0;
        }else if(A[i]>B[l]){
            indeksi[l]=i+offseti[l];
            offseti[l]++;
            l++;
        }
    for(int i=0;i<Q;i++){
        int a=indeksi[i]-1;
        int b=N+offseti[i]-indeksi[i]-1;
        if(a>b)
            cout<<a-b;
        else
            cout<<b-a;
        cout<<endl;
    }
    return 0;
}